// MAP================================================================================================================================================
$fontBlack: "Nunito Black";
$fontBlackItalic: "Nunito BlackItalic";
$fontBold: "Nunito Bold";
$fontBoldItalic: "Nunito BoldItalic";
$fontExtraBold: "Nunito ExtraBold";
$fontExtraLight: "Nunito ExtraLight";
$fontExtraLightItalic: "Nunito ExtraLightItalic";
$fontItalic: "Nunito Italic";
$fontLight: "Nunito Light";
$fontLightItalic: "Nunito LightItalic";
$fontRegular: "Nunito Regular";
$fontSemiBold: "Nunito SemiBold";
$fontSemiBoldItalic: "Nunito SemiBoldItalic";
$fontMedium: "";

.home-sections {
	margin: 60px 0px 300px 0px;
	// .home-sections__container
	&__container {
		padding: 40px 0px 0px 0px;
		position: relative;
		display: flex;
		justify-content: space-between;
		max-width: 1287px;
		margin: 0 auto;
	}
	// .home-sections__map
	&__map {
	}

	// .home-sections__row
	&__row {
		width: 412px;
		margin: 61px 0px 0px 0px;
	}

	// .home-sections__column
	&__column {
		cursor: pointer;
		margin: 0px 0px 10px 0px;
	}

	// .home-sections__title
	&__title {
		background-color: #0057b1;
		border: 1px solid #0057b1;
		font-family: $fontRegular;
		font-size: 18px;
		line-height: 24px;
		color: #fff;
		padding: 8px 55px 8px 26px;
		position: relative;
		&.active {
			border: 1px solid #0057b1;
		}
		span {
			position: absolute;
			border-radius: 50%;
			width: 22px;
			height: 22px;
			background-color: #0057b1;
			right: 22px;
			top: 8px;

			&::before,
			&::after {
				content: "";
				width: 5px;
				height: 1px;
				background-color: #ffffff;
				position: absolute;
				top: 11px;
				transition: all 1s ease 0s;
			}

			&::before {
				transform: rotate(40deg);
				left: 6.5px;
			}

			&::after {
				transform: rotate(-40deg);
				left: 11px;
			}
		}

		&.active span::before {
			transform: rotate(-40deg);
		}

		&.active span::after {
			transform: rotate(40deg);
		}
	}

	// .home-sections__subsection
	&__subsection {
		margin: 5px 0px 0px 0px;
		display: none;
		// border-radius: 10px;
		border: 0.5px solid #0057ba;
		background-color: #f9f9f9;
		div {
			font-family: $fontRegular;
			font-size: 18px;
			line-height: 24px;
			color: #0057b1;
			margin: 5px 26px;
			padding-left: 5px;
			border-bottom: 1px solid #0057b1;
			&:last-child {
				border-bottom: none;
			}
		}
	}
	@media (max-width: 1180px) {
		&__container {
			flex-direction: column;
			align-items: center;
		}
		&__row {
			width: 100%;
			margin: 0;
		}
	}
}
.map {
	width: 721px;
	position: relative;
	margin: 0px 0px 100px 0px;
	@media (max-width: 741px) {
		width: 100%;
		margin: 0px 0px 30px 0px;
	}
	.on {
		fill: #0057b1;
	}
	&__regions {
		position: relative;
	}
	&__region {
		fill: #e1e1e1;
		stroke: #fff;
		stroke-linecap: round;
		stroke-linejoin: round;
		stroke-miterlimit: 10;
		stroke-width: 2px;
		cursor: pointer;
		&:hover {
		}
	}
	.loc {
		position: absolute;
		height: 4.5%;
		display: none;
		animation: topa 1s linear infinite;
		&.active {
			display: block;
		}
		&.loc-turkmenbashy {
			top: 31.80914512922465%;
			left: 4.022191400832178%;
		}
		&.loc-balkan {
			top: 38.76739562624254%;
			left: 11.6504854368932%;
		}
		&.loc-ahal {
			top: 58.54126679462572%;
			left: 41.60887656033287%;
		}
		&.loc-mary {
			top: 67.19681908548708%;
			left: 67.68377253814147%;
		}
		&.loc-lebap {
			top: 48.50894632206759%;
			left: 77.25381414701803%;
		}
		&.loc-dashoguz {
			top: 7.554671968190855%;
			left: 49.93065187239945%;
		}
	}
	@keyframes topa {
		0% {
			transform: translateY(0);
		}
		50% {
			transform: translateY(-10px);
		}
		100% {
			transform: translateY(0);
		}
	}
}
